Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 System.Enum

Specifies the protocols used by the class.

The enumeration is used with the class. This enumeration specifies the protocols that a socket instance can use to transport data.

- Field
  System.Net.Sockets.ProtocolType Ggp

  Specifies the Gateway To Gateway Protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Icmp

  Specifies the Internet Control Message Protocol (ICMP) as defined by IETF RFC 1792.

  0
  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  System.Net.Sockets.ProtocolType Idp

  Specifies the Inter-Domain Policy Protocol (IDP) as defined by IETF RFC 1764.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Igmp

  Specifies the Internet Group Management Protocol (IGMP) as defined by IETF RFC 2236.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType IP

  Specifies the Internet Protocol (IP) as defined by IETF RFC 791, 792, 919, 922, and 1112.

  Multiple names are defined for this value based on prior art. This value is identical to .

  0
  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  System.Net.Sockets.ProtocolType IPv6 To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  2.0.0.0
  System.Net.Sockets.ProtocolType To be added.
- Field
  System.Net.Sockets.ProtocolType Ipx

  Specifies the Internetwork Packet Exchange Protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType ND

  Specifies the Net Disk Protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Pup

  Specifies the Xerox Post Office Update Protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Raw

  Specifies the Raw IP packet protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Spx

  Specifies the Sequenced Packet Exchange Protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType SpxII

  Specifies the Sequenced Packet Exchange Version 2 Protocol.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Tcp

  Specifies the Transmission Control Protocol (TCP) as defined by IETF RFC 793.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Udp

  Specifies the User Datagram Protocol (UDP) as defined by IETF RFC 768.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType Unknown

  Used to indicate an uninitialized state. This member is not to be used when constructing instances of the class.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.ProtocolType IP

  Unspecified protocol.

  Multiple names are defined for this value based on prior art. This value is identical to .

  0
  1.0.5000.0
  2.0.0.0
0